> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.fr/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update the channel connection settings for a specific app.

> Modify the existing channel connection settings for the specified app.

> **Supported products**


## OpenAPI

````yaml specs/2026-09/crm-calling-extensions-v2026-09.json PATCH /crm/extensions/calling/2026-09/{appId}/settings/channel-connection
openapi: 3.0.1
info:
  title: CRM Calling Extensions
  description: Basepom for all HubSpot Projects
  version: 2026-09
  x-hubspot-product-tier-requirements:
    marketing: FREE
    sales: FREE
    service: FREE
    cms: FREE
    commerce: FREE
    crmHub: FREE
    dataHub: FREE
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Advanced
  - name: Basic
paths:
  /crm/extensions/calling/2026-09/{appId}/settings/channel-connection:
    patch:
      tags:
        - Basic
      summary: Update the channel connection settings for a specific app.
      description: Modify the existing channel connection settings for the specified app.
      operationId: >-
        patch-/crm/extensions/calling/2026-09/{appId}/settings/channel-connection_update
      parameters:
        - name: appId
          in: path
          description: ''
          required: true
          style: simple
          explode: false
          schema:
            type: integer
            format: int32
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChannelConnectionSettingsPatchRequest'
        required: true
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChannelConnectionSettingsResponse'
        default:
          $ref: '#/components/responses/Error'
          description: ''
      security:
        - developer_hapikey: []
components:
  schemas:
    ChannelConnectionSettingsPatchRequest:
      type: object
      properties:
        isReady:
          type: boolean
          description: Indicates whether the channel connection settings are ready.
        url:
          type: string
          description: The URL for the channel connection settings.
    ChannelConnectionSettingsResponse:
      required:
        - createdAt
        - isReady
        - updatedAt
        - url
      type: object
      properties:
        createdAt:
          type: string
          description: The date and time when the channel connection settings were created.
          format: date-time
        isReady:
          type: boolean
          description: Indicates whether the channel connection settings are ready for use.
        updatedAt:
          type: string
          description: >-
            The date and time when the channel connection settings were last
            updated.
          format: date-time
        url:
          type: string
          description: The URL associated with the channel connection settings.
    Error:
      required:
        - category
        - correlationId
        - message
      type: object
      properties:
        category:
          type: string
          description: The error category
        context:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Context about the error condition
          example: >-
            {invalidPropertyName=[propertyValue], missingScopes=[scope1,
            scope2]}
        correlationId:
          type: string
          description: >-
            A unique identifier for the request. Include this value with any
            error reports or support tickets
          format: uuid
          example: aeb5f871-7f07-4993-9211-075dc63e7cbf
        errors:
          type: array
          description: further information about the error
          items:
            $ref: '#/components/schemas/ErrorDetail'
        links:
          type: object
          additionalProperties:
            type: string
          description: >-
            A map of link names to associated URIs containing documentation
            about the error or recommended remediation steps
        message:
          type: string
          description: >-
            A human readable message describing the error along with remediation
            steps where appropriate
          example: An error occurred
        subCategory:
          type: string
          description: >-
            A specific category that contains more specific detail about the
            error
      description: >-
        Represents an error response returned by the API when an operation
        fails. This component is used in various endpoints to provide detailed
        information about the error encountered.
      example:
        message: Invalid input (details will vary based on the error)
        correlationId: aeb5f871-7f07-4993-9211-075dc63e7cbf
        category: VALIDATION_ERROR
        links:
          knowledge-base: https://www.hubspot.com/products/service/knowledge-base
    ErrorDetail:
      required:
        - message
      type: object
      properties:
        code:
          type: string
          description: The status code associated with the error detail
        context:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Context about the error condition
          example: '{missingScopes=[scope1, scope2]}'
        in:
          type: string
          description: The name of the field or parameter in which the error was found.
        message:
          type: string
          description: >-
            A human readable message describing the error along with remediation
            steps where appropriate
        subCategory:
          type: string
          description: >-
            A specific category that contains more specific detail about the
            error
      description: >-
        Represents detailed information about an error that occurred in the API.
        This component is used to provide additional context and specifics about
        errors, typically as part of an error response.
  responses:
    Error:
      description: An error occurred.
      content:
        '*/*':
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    developer_hapikey:
      type: apiKey
      name: hapikey
      in: query

````